Bug 9683 - Fix several resource (fd) leaks
Fix several resource (fd) leaks
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
4.0.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-26 15:07 UTC by Andreas Schneider
Modified: 2013-03-01 15:27 UTC (History)
0 users

See Also:


Attachments
v4-0-test patch (10.78 KB, patch)
2013-02-26 15:08 UTC, Andreas Schneider
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2013-02-26 15:07:11 UTC
There are several file descriptor leaks in the code which will be fixed with the following patch.
Comment 1 Andreas Schneider 2013-02-26 15:08:27 UTC
Created attachment 8584 [details]
v4-0-test patch
Comment 2 Alexander Bokovoy 2013-02-26 17:07:50 UTC
Comment on attachment 8584 [details]
v4-0-test patch

As I reviewed these patches already, ACK.
Comment 3 Andreas Schneider 2013-02-26 18:21:10 UTC
Karolin, please add to 4.0. Thanks!
Comment 4 Jeremy Allison 2013-02-26 18:54:08 UTC
Re-assigning to Karolin for inclusion in 4.0.next.
Jeremy.
Comment 5 Karolin Seeger 2013-02-27 09:02:18 UTC
Pushed to autobuild-v4-0-test.
Comment 6 Karolin Seeger 2013-03-01 15:27:50 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!